{%- set out_if = "enp1s0f0" %}
{%- set ext_ip = "x.x.x.x" %}
{# ... many variables, making iptable rules readable #}

netplan: |
  network:
    ethernets:
      ...
    bridges:
      ...
    version: 2


ufw:
  before: |
    ################
    # Ensuring SSH #
    ################

    *filter

    -A ufw-before-input -d {{s_int}} -p tcp --dport 22 -j ACCEPT -m comment --comment "ensure SSH access"

    COMMIT

    ####################################
    # Port forwarding and masquerading #
    ####################################

    #
    # D/SNAT-ing is done on external interface {{out_if}} via {{ext_ip}}
    # ufw doesn't have any chains -j-ed in nat table, therefore our rules
    # go directly into standard chains PREROUTING and POSTROUTING.
    #
    *nat
    :PREROUTING ACCEPT [0:0]
    :POSTROUTING ACCEPT [0:0]
    :dnat-chain - [0:0]
    :snat-chain - [0:0]

    -A PREROUTING -j dnat-chain
    -A POSTROUTING -j snat-chain

    ... rules in dnat-chain and snat-chain

    COMMIT
    # line after commit

  after: |
    #
    # Services on this host
    #
    *filter

    ... tons of internal rules for many services

    COMMIT

    #
    # Services that pass by
    #
    *filter
    :dst-chain - [0:0]
    :egress-chain - [0:0]

    ... rules to limit cross-talk, entry and egress

    COMMIT
    # line after commit

