{%- set nets_swarm = "x.x.x.0/24,y.y.y.0/24" %}
{%- set hook_trigs = "z.z.z.z" %}

ufw:
  after: |
    #
    # swarm
    #
    *filter
    :swarm-services - [0:0]

    -A ufw-after-input -j swarm-services -m comment --comment "input to services on this host"

    -A swarm-services -p tcp -m multiport --dport 80,443 -j ACCEPT -m comment --comment "Exposing proxied ports to all"

    -A swarm-services -d {{nets_swarm}} -s {{hook_trigs}} -p tcp --dport 7999 -j ACCEPT -m comment --comment "webhook access"

    {# This should be split into multiports for swarm and a port range of 3n services. #}
    -A swarm-services -d {{nets_swarm}} -s {{nets_swarm}} -j ACCEPT -m comment --comment "Inter-swarm communications"

    COMMIT
    # line after commit
