#
# Docker registry
#

docker.io:
  pkg.installed

{% set script = "/root/bin/restart-docker-registry" -%}

{{script}}:
  file.managed:
    - source: salt://docker-registry/restart-docker-registry.sh
    - makedirs: True
    - mode: 544

{% set conf_file = "/var/w3n/" + pillar.dcregistry.domain + "/docker-registry/conf/config.yml" -%}

{{conf_file}}:
  file.managed:
    - contents_pillar: dcregistry:config
    - makedirs: True

{{script}} {{pillar.dcregistry.domain}} {{pillar.dcregistry.ip}}:
  cmd.run:
    - onchanges:
      - file: {{conf_file}}
      - file: {{script}}
