#
# All settings for network connectivity goes here
#

{# Hosts file #}
{%- if "etc-hosts" in pillar %}
/etc/hosts:
  file.managed:
    - template: jinja
    - source: salt://net/etc-hosts.sls
{%- endif %}

{# ufw #}
{%- if "ufw" in pillar %}

{%- if "before" in pillar.ufw %}
/etc/ufw/before.rules:
  file.managed:
    - template: jinja
    - source: salt://net/ufw/before.rules.sls
{%- endif %}

{%- if "after" in pillar.ufw %}
/etc/ufw/after.rules:
  file.managed:
    - template: jinja
    - source: salt://net/ufw/after.rules.sls
{%- endif %}

/etc/ufw/sysctl.conf:
  file.managed:
    - source: salt://net/ufw/sysctl.conf

ufw reload:
  cmd.run:
    - onchanges:
      {%- if "before" in pillar.ufw %}
      - file: /etc/ufw/before.rules
      {%- endif %}
      {%- if "after" in pillar.ufw %}
      - file: /etc/ufw/after.rules
      {%- endif %}
      - file: /etc/ufw/sysctl.conf

{%- endif %}

{# netplan #}
/etc/netplan/50-cloud-init.yaml:
  file.managed:
    - contents_pillar: netplan

netplan apply:
  cmd.run:
    - onchanges:
      - file: /etc/netplan/50-cloud-init.yaml
