#
# ZFS in Ubuntu
#

zfsutils-linux:
  pkg.installed

{%- if "zfs" in pillar %}

/etc/modprobe.d/zfs.conf:
  file.managed:
    - contents:
      {% if "arc_min" in pillar.zfs -%}
      - options zfs zfs_arc_min={{pillar.zfs.arc_min}}
      {%- endif %}
      {% if "arc_max" in pillar.zfs -%}
      - options zfs zfs_arc_max={{pillar.zfs.arc_max}}
      {%- endif %}

/root/bin/zfs/apply-now:
  file.managed:
    - makedirs: True
    - mode: 544
    - contents:
      - "#!/bin/sh"
      {%- if "arc_min" in pillar.zfs %}
      - echo "{{pillar.zfs.arc_min}}" > /sys/module/zfs/parameters/zfs_arc_min
      {%- endif %}
      {%- if "arc_max" in pillar.zfs %}
      - echo "{{pillar.zfs.arc_max}}" > /sys/module/zfs/parameters/zfs_arc_max
      {%- endif %}

/root/bin/../bin/zfs/apply-now:
  cmd.run:
    - onchanges:
      - file: /root/bin/zfs/apply-now

{%-   if "fss" in pillar.zfs %}
{%-     for fs in pillar.zfs.fss %}

{{fs.fs_name}}:
  zfs.filesystem_present:
    - create_parent: true
    - properties:
        mountpoint: {{ fs.mountpoint if "mountpoint" in fs else "none" }}

{%-     endfor %}
{%-   endif %}

{%- endif %}
